Package ru.bitel.bgbilling.modules.inet.server.bean

# Class InetSessionDao

java.lang.Object
ru.bitel.bgbilling.modules.inet.server.bean.InetSessionDao

    public class InetSessionDao
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `InetSessionDao​(java.sql.Connection con, int moduleId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `closeSession​(long connectionId, long id, java.util.Date sessionStop)` |
  `boolean` | `delete​(long sessionId)` |
  `InetSessionLog` | `getAsLog​(java.util.List<InetServType> servTypeDirectory, long sessionId)` |
  `static java.lang.Object[]` | `getCall​(java.sql.Connection con, int moduleId, InetConnection connection, java.util.Date connectionStart, long parentConnectionId, boolean start, boolean acctSessIdAlwaysPresent, boolean ipAlwaysPresent, boolean nasPortCorrect)` | Получение активной call сессии, если таковая есть в базе Она может там быть, если стартовала на другом accounting сервере. Или если занесена запись после удачной авторизации.
  `static java.util.Map<java.lang.Integer,​AccountingTrafficAmount>` | `getCountersFromDB​(java.sql.Connection con, int moduleId, ru.bitel.bgbilling.modules.inet.server.runtime.InetServTypeRuntime servType, long sessionId)` |
  `long` | `getNextSessionId()` |
  `static InetSession` | `getSessionFromRS​(java.sql.ResultSet rs)` |
  `void` | `insert​(InetSession b)` |
  `java.util.List<InetSession>` | `list​(long connectionId, int status)` |
  `protected java.util.List<InetSessionLog>` | `listAsLog​(java.util.List<InetServType> servTypeDirectory, java.util.Set<java.lang.Integer> deviceIds, java.util.Set<java.lang.Integer> servTypeIds, java.util.Set<java.lang.Integer> cids, java.lang.String contract, java.util.Set<java.lang.Integer> servIds, java.lang.String login, long sessionId, java.lang.String ip, java.lang.String callingStation, java.util.Date timeFrom, java.util.Date timeTo, Page page, int idDivizor, int idRemainder, boolean onlyTopSessions)` |
  `java.util.List<InetSessionLog>` | `listAsLog​(java.util.List<InetServType> servTypeDirectory, java.util.Set<java.lang.Integer> deviceIds, java.util.Set<java.lang.Integer> servTypeIds, java.util.Set<java.lang.Integer> contractIds, java.lang.String contract, java.util.Set<java.lang.Integer> servIds, java.lang.String login, java.lang.String ip, java.lang.String callingStation, java.util.Date timeFrom, java.util.Date timeTo, Page page, int idDivizor, int idRemainder, boolean onlyTopSessions)` |
  `java.util.List<InetSessionLog>` | `listAsLog​(java.util.List<InetServType> servTypeDirectory, java.util.Set<java.lang.Integer> deviceIds, java.util.Set<java.lang.Integer> servTypeIds, java.util.Set<java.lang.Integer> contractIds, java.util.Set<java.lang.Integer> servIds, java.util.Date timeFrom, java.util.Date timeTo, Page page, int idDivizor, int idRemainder, boolean onlyTopSessions)` |
  `java.util.List<java.lang.Object>` | `listAuto​(int deviceId, java.util.Set<java.lang.Integer> servTypeIds, java.util.Date date)` | Получение auto сервисов и связанных auto сессий, если они есть.
  `java.util.List<java.lang.Object[]>` | `listCall​(int deviceId, java.util.Set<java.lang.Integer> servTypeIds)` | Список активных call сессий

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InetSessionDao

    public InetSessionDao​(java.sql.Connection con, int moduleId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

- ## Method Details

  - ### insert

    public void insert​(InetSession b) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getNextSessionId

    public long getNextSessionId() throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### closeSession

    public boolean closeSession​(long connectionId, long id, java.util.Date sessionStop) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getSessionFromRS

    public static InetSession getSessionFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### list

    public java.util.List<InetSession> list​(long connectionId, int status) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listAuto

    public java.util.List<java.lang.Object> listAuto​(int deviceId, java.util.Set<java.lang.Integer> servTypeIds, java.util.Date date) throws ru.bitel.bgbilling.common.BGException
    Получение auto сервисов и связанных auto сессий, если они есть.
    Parameters:
      `deviceId` -
      `servTypeIds` -
      `date` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listCall

    public java.util.List<java.lang.Object[]> listCall​(int deviceId, java.util.Set<java.lang.Integer> servTypeIds) throws ru.bitel.bgbilling.common.BGException
    Список активных call сессий
    Parameters:
      `deviceId` - - код устройства - наса, к которому привязаны сессии (не сервисы, а сессии!)
      `servTypeIds` - - коды типов сервиса. обычно это все типы сервиса, у которых `InetServType.SESSION_INITIATION_CALL`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getCall

    public static java.lang.Object[] getCall​(java.sql.Connection con, int moduleId, InetConnection connection, java.util.Date connectionStart, long parentConnectionId, boolean start, boolean acctSessIdAlwaysPresent, boolean ipAlwaysPresent, boolean nasPortCorrect) throws ru.bitel.bgbilling.common.BGException
    Получение активной call сессии, если таковая есть в базе
    Она может там быть, если стартовала на другом accounting сервере.
    Или если занесена запись после удачной авторизации.
    Parameters:
      `deviceId` - - код устройства - наса, к которому привязаны сессии (не сервисы, а сессии!)
      `nasPort` -
      `inetServId` -
      `acctSessionId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listAsLog

    public java.util.List<InetSessionLog> listAsLog​(java.util.List<InetServType> servTypeDirectory, java.util.Set<java.lang.Integer> deviceIds, java.util.Set<java.lang.Integer> servTypeIds, java.util.Set<java.lang.Integer> contractIds, java.util.Set<java.lang.Integer> servIds, java.util.Date timeFrom, java.util.Date timeTo, Page page, int idDivizor, int idRemainder, boolean onlyTopSessions) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listAsLog

    public java.util.List<InetSessionLog> listAsLog​(java.util.List<InetServType> servTypeDirectory, java.util.Set<java.lang.Integer> deviceIds, java.util.Set<java.lang.Integer> servTypeIds, java.util.Set<java.lang.Integer> contractIds, java.lang.String contract, java.util.Set<java.lang.Integer> servIds, java.lang.String login, java.lang.String ip, java.lang.String callingStation, java.util.Date timeFrom, java.util.Date timeTo, Page page, int idDivizor, int idRemainder, boolean onlyTopSessions) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getAsLog

    public InetSessionLog getAsLog​(java.util.List<InetServType> servTypeDirectory, long sessionId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listAsLog

    protected java.util.List<InetSessionLog> listAsLog​(java.util.List<InetServType> servTypeDirectory, java.util.Set<java.lang.Integer> deviceIds, java.util.Set<java.lang.Integer> servTypeIds, java.util.Set<java.lang.Integer> cids, java.lang.String contract, java.util.Set<java.lang.Integer> servIds, java.lang.String login, long sessionId, java.lang.String ip, java.lang.String callingStation, java.util.Date timeFrom, java.util.Date timeTo, Page page, int idDivizor, int idRemainder, boolean onlyTopSessions) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getCountersFromDB

    public static java.util.Map<java.lang.Integer,​AccountingTrafficAmount> getCountersFromDB​(java.sql.Connection con, int moduleId, ru.bitel.bgbilling.modules.inet.server.runtime.InetServTypeRuntime servType, long sessionId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### delete

    public boolean delete​(long sessionId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`